#ifndef __TEXIMON_H_
#define __TEXIMON_H_

#include "default.h"

/* Dimensions of the About Dialog */
#define QueueWidth  70
#define QueueHeight 15

class TPalette;
class TClockView;

class TEximon : public TApplication {
   private:
      TClockView *clock;
      bool m_bWinQueue, m_bWinMainLog, m_bWinGraphs, m_bWinSummary;
      void AboutDialog(void);
      void QueueWindow(void);
      void MainlogWindow(void);
      bool ExiwhatWindow(void);
      bool CycleLogsWindow(void);
      bool CheckAccessWindow(void);
      bool ExigrepWindow(void);
      bool ExinextWindow(void);
      bool CmdWindow(void);
      //void Shell(void);
      void Colors(void);

   public:
      static TStatusLine *initStatusLine(TRect r);
      static TMenuBar    *initMenuBar   (TRect r);

      TEximon(void);
      virtual void handleEvent( TEvent& event );
      virtual void idle();
      bool ExecuteCommand(const char *sBin, const char *sTitle, int nvars, ...);
      bool ExecuteRawCommand(const char *sBin, const char *sTitle);
      void CacheColors(void);

      
};

#endif
