/*

    TVEximon - An Exim manager.
    
    Version: 0.1
    
    Date: Thu May 22 16:57:15 BRT 2003
    
    Copyright (C) 2003 Bjorn Martins Paz (bmp@narpax.com.br)
    Copyright (C) 2003 Davi Einstein Melges Arnaut (dema@narpax.com.br)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "TEximon.h"
#include "TParseConfig.h"

int main(int argc, char **argv) {
   TParseConfig config;
   TEximon *eximon;

   config.Parse();

   if(  ShellBinaryPath[strlen(ShellBinaryPath)-1] != '/' ) {
      printf("You must add a '/' character at the end of the 'bin_path' option inside " CONFIG_FILE " \n");
      return 0;
   }

   eximon = new TEximon;
   eximon->run();

   delete eximon;
    
   return 0;
}
